module Evtfl

  class Concerts

    def self.list(id)
      url = "#{PRE}/events/list?app_key=#{Evtfl.api_key}&id=#{id}&page_size=100"
      uri = URI(url)
      response = Net::HTTP.get(uri)
      result = JSON.parse(response)
      result['event'].map { |show| new(show) }
    end

    attr_reader :country, :city, :url, :title, :id

    def initialize(args = {})
      @country = args['country']
      @city    = args['city']
      @url     = args['url']
      @title   = args['title']
      @id      = args['id']
    end

  end
end
